Subject: I2C mux and device tree

From: Felix Radensky <[email-masked]>
Date: Sat, 25 Oct 2008 11:02:45 +0200

Hi,

I run linux-2.6.26 on custom 460EX based board.
This platform has PCA9548 I2C mux on I2C bus 0.
I was wondering how can I describe the mux itself
and devices behind it (e.g RTC and temperature sensors)
in the device tree.

If this is impossible at the moment, what other means
exist to work with devices behind the mux ? I have
found the pca954x patch and related virtual i2c patch
and was able to integrate them intro my kernel. The
question is - how do I tell the kernel to search for RTC
at specific virtual bus and address ? Can I use platform
data for this purpose ?

Thanks a lot.

Felix.